import java.util.Scanner;
import java.io.File;
import java.io.PrintWriter;

/**
 * Created by IntelliJ IDEA.
 * User: m08haa3
 * Date: 07.10.2009
 * Time: 20:21:04
 * To change this template use File | Settings | File Templates.
 */
public class Massiv {
      public static void main (String[] args) throws Exception{
      Scanner in= new Scanner(new File("array.in"));
      PrintWriter out=new PrintWriter(new File("array.out"));
           int n= in.nextInt();
           int [] array= new int[n+1];
           for (int i=1; i<=n; i++) {
              array[i]= in.nextInt();
           }
           for (int i=1; i<=n/2; i++){
               out.print(array[i]);
               out.print(" ");
               out.print(array[n-i+1]);
               out.print(" ");
           }
           if (n%2 != 0) {
               out.print(array[n/2 +1]);
           }
      out.close();
      in.close();
}  }
